/*
 Theme Name:   Silvertheme Child
 Theme URI:    https://www.silverfish.nl/
 Description:  SilverTheme Child Theme
 Author:       Silverfish
 Author URI:   https://www.silverfish.nl
 Template:     silvertheme
 Version:      7.0
*/

:root {	
  --main: #0c8e85;
  --secondary: #02706a;
  --grey: #474748;
  --lightgrey: #ebeced;
  --orange: #F27405;
  --font: "acumin-pro", sans-serif;
  --subfont: "acumin-pro", sans-serif;
}

html {scroll-behavior:smooth;}



* { font-family:var(--font); } /* Zelfde font overal */

.site-header hgroup, #main, .driekolommen-inner, .titel-3, .vierkolommen-inner, .titel-4, .titel-foto-links, .foto-links-inner, .titel-foto-rechts, .foto-rechts-inner, .alg-tekstblok-inner, .prefooter-inner, .footercols { max-width: 1440px; margin: 0 auto; }
body.mceContentBody { 
   background: #e3e3e3; 
   color:#000;
}

.wp-block-group.alignfull, 
  .wp-block-cover.alignfull {
    padding-left: 0;
    padding-right: 0;
    width: 100vw;
    max-width: 100vw;
    margin-left: calc(-50vw + 50%);
  }

.volledige-breedte {
    width: 100vw;
    max-width: 100%; background:var(--main);
}

/* Algemeen */
h1, .entry-title { font-family:var(--font); font-size:40px; color:var(--secondary); line-height:1.2; }
h2 { font-family:var(--font); font-size:36px; color:var(--secondary); line-height:1.2; }
h3 { font-family:var(--font); font-size:36px; color:white; line-height:1.2;}
h4 { }

a {color:var(--main); text-decoration:underline;}
a:hover {color:var(--zwart);}

.button {
  background:var(--orange);
  padding:10px 20px;
  box-sizing: border-box;
  font-family:var(--font);
  font-size:21px;
  color:white;
  display:inline-block;
  margin-top:15px;
  text-decoration:none;
	border:1px solid white;
}
.button:hover {
  background:var(--secondary); border:1px solid white;
  color:white;
}
/* Buttons Gutenberg */
.wp-block-button__link {
  color: white!important;
  background-color: var(--orange)!important;
  border-radius: 0px;
  box-shadow: none;
  text-decoration: none;
  padding:10px 20px;
  font-size:21px;
  margin-top:15px;
	border:1px solid white;
}

.wp-block-button__link:hover {
  background-color: var(--secondary)!important; border:1px solid white;
}

/* Header */
.cta-top { position:absolute; right:2em; top:0.7em; z-index:9; }
.cta-top a {
  font-family:var(--font);
  font-size:19px;
  color:white;
  margin-right:1em;
  text-decoration:none;
}
.cta-top a:last-child { margin-right:0; }
.cta-top a i { color:white; }

.site-header { position:fixed; top:0; left:0; right:0; z-index:99; padding-top:4em; width:100%; transition:all .3s ease; }
.site-header.fixed { margin-top:0; padding-top:1em; background: #cccdcf; }
.site-header.fixed .site-logo img { width:250px; }
.site-header hgroup { position:relative; margin:0 auto; padding:0; background:0; display:flex; justify-content:space-between; align-items:center; }
.site-header hgroup.logo-left .site-logo { order:1; }
.site-header hgroup.logo-left .main-navigation { order:2; }
.site-header hgroup.logo-left .mobile-button { order:2; }
.site-header hgroup.logo-middle { display:block; }
.site-header hgroup.logo-middle .main-navigation { text-align:center; }
.site-header hgroup.logo-middle .mobile-button { position:absolute; left:0; top:0; }
.site-header hgroup.logo-middle .site-logo { text-align:center; }
.site-header hgroup.logo-right .site-logo { order:2; }
.site-header hgroup.logo-right .main-navigation { order:1; }
.site-header hgroup.logo-right .mobile-button { order:1; }

.site-logo img { width:300px; transition:all .3s ease; }

/* Menu */
.main-navigation { background:0; padding:0; }
.main-navigation li { background:0; padding:0; }
.main-navigation li a {
  background:none;
  color:var(--secondary);
  font-size:18px;
  padding:3px 15px 4px 15px;
  box-sizing:border-box;
  margin-right:0.5em;
  display:flex;
  align-items:center;
}
.main-navigation li a:hover {color:var(--main);}
.main-navigation a { font-size: 18px !important; padding: 0 15px !important; }
.main-navigation ul { width: 100%; line-height:2.5; }
.main-navigation li { padding: 0; margin:0; text-align: right; }
.main-navigation li.current_page_parent a,
.main-navigation li.current-menu-item a,
.main-navigation li.current-menu-parent a {  color:var(--orange); border: 1px var(--orange) solid;}
.main-navigation ul ul { top: 36px; margin-top:9px; width:auto; min-width:210px; background:white; border: none; color:var(--secondary);}
.main-navigation ul ul li { width:100%; background:none; }
.main-navigation ul ul a { width:auto; text-align: left; padding:.5em 1em; color:var(--secondary);}
.main-navigation ul ul a:hover { text-decoration: underline; color:var(--main);}
.main-navigation ul ul li.current-menu-item a { text-decoration: underline; color:var(--main);}

.mobile-button { display:none; font-size:50px; cursor:pointer; }
.mobile-menu { display:none; }

/* Content */
.balk{height:50px; background:var(--main);}
#banner { width:100%; }

.banner-inner { position:relative; }

#banner .banner-slide img { height:350px; object-fit:cover; object-position:center; width: 100%; padding-top: 250px;}
.home #banner .banner-slide img { height:450px; width: 60%;}

#banner .grad { position:absolute; bottom:0; left:0; width:100%; height:100%; background: linear-gradient(180deg, rgba(255,255,255,1) 5%, rgba(255,255,255,0) 60%); display:none;}

.banner-slide video {width: 100%; height: auto; object-fit: cover; }


/* Geen bannerfoto */
.page-template-paginazonderbanner #mainContainer {margin-top: 270px;}
.page-template-paginazonderbanner #banner { display:none; }

/* Extra volgpagina */
#extra{margin-top: -48px;}
.extra-inner{}

.titel-4{font-family:var(--font); font-size:36px; color:var(--main); padding-top: 50px;}
.vierkolommen-inner{display:grid; grid-template-columns:repeat(auto-fit, minmax(200px, 2fr)); grid-gap:2em; font-family:var(--font); font-size:19px; color:var(--main);}

.titel-3{font-family:var(--font); font-size:36px; color:white; padding-top: 50px;}
.driekolommen-inner{display:grid; grid-template-columns:repeat(auto-fit, minmax(200px, 2fr)); grid-gap:2em; font-family:var(--font); font-size:19px; color:var(--main);}
.driekolommen{background:var(--main); margin-bottom: 50px; margin-top: 50px;}
.driekolommen-blok{background:white; padding: 30px; margin-bottom:50px;}

.quote{font-family:var(--font); font-size:36px; color:white; padding-top: 50px; padding-bottom: 50px; background:#009391; text-align:center;}

.titel-foto-links{font-family:var(--font); font-size:36px; color:var(--main); }
.foto-links-inner{display:grid; grid-template-columns:repeat(auto-fit, minmax(100px, 2fr)); grid-gap:2em; margin-top: 50px;}
.foto-links img{width: 100%; max-height: 500px; object-fit: cover;}
.foto-links-tekst{font-family:var(--font); font-size:19px; color:var(--grey);}
#foto-tekst{margin-top: 50px; margin-bottom: 50px;}

.titel-foto-rechts{font-family:var(--font); font-size:36px; color:var(--main);}
.foto-rechts-inner{display:grid; grid-template-columns:repeat(auto-fit, minmax(100px, 2fr)); grid-gap:2em; margin-top: 50px;}
.foto-rechts img{width: 100%; max-height: 500px; object-fit: cover;}
.foto-rechts-tekst{font-family:var(--font); font-size:19px; color:var(--grey);}

#alg-tekstblok{margin-top: 50px; margin-bottom: 50px;}
.alg-tekstblok-inner{color: var(--grey); font-family: var(--subfont); font-size: 19px;}

#mainContainer { padding:0; }
.home #mainContainer {padding-top: 60px;}
#main { overflow:visible; }
#primary, #content { width:100%; margin:0; padding:0; }


.tekstvlak-inner{opacity: 0; transition: opacity 2s ease-in-out;}
.tekstvlak-inner.zichtbaar {opacity: 1;}

.home .tekstvlak-inner{position: absolute;
right: 0;
top: 55%;
z-index: 9;
width: 42%;
text-align: left;
color: white; 
font-family:var(--font);
font-size: 20px;
background:var(--main);
padding:50px;
}

#tekstvlak h1{color:white; font-size:40px;}


/* Article */
.hentry { position:relative; border:0; padding:4em 0; }
.entry-title, .page-title { }

.entry-wrap { display:grid; grid-template-columns:repeat(auto-fit, minmax(400px, 2fr)); grid-gap:2em; }
.entry-content, .entry-summary {
  margin:0;
  font-family:var(--font);
  font-size:19px;
  color:var(--grey);
}
.entry-content p:last-child { margin:0; }
.entry-content a{color:var(--main);}


/* Formulier*/
body .gform_wrapper ul li.gfield { margin-top:14px !important; }
.gform_wrapper li.hidden_label input { margin:0 !important; }
body .gform_wrapper .top_label div.ginput_container { margin:0 !important; }
::placeholder {
  font-family:var(--font);
  font-size:19px;
  opacity:1;
  color:var(--grey);
  font-weight:normal;
}

.gform_footer input {
  width:30% !important;
  background:var(--orange);
  border:0;
  color:white !important;
  font-size:21px !important;
  padding:15px 15px !important; border:1px solid white;
}

.gform_wrapper.gravity-theme .gfield textarea.large {
  background: white;}
.gform_wrapper.gravity-theme .gfield input.large, .gform_wrapper.gravity-theme .gfield select.large {
  background: white;}
.gform_wrapper.gravity-theme .gfield input.medium, .gform_wrapper.gravity-theme .gfield select.medium {
  background: white;}
.gform_wrapper.gravity-theme input[type="text"]{font-size: 21px!important;}
.gform_wrapper.gravity-theme .gfield textarea.large {font-size: 21px;}

.gform_wrapper.gravity-theme .gfield_label {font-size: 21px!important; font-weight: 300!important;}

/* Prefooter*/
#prefooter { width:100%; height:auto; padding-top:100px; padding-bottom:100px; background:var(--lightgrey);}
.prefooter-inner {  display:grid; grid-template-columns:repeat(auto-fit, minmax(300px, 2fr)); grid-gap:2em; font-family:var(--font); font-size:19px; color:var(--grey);}


/* Footer */
.site-footer {
  width:100%;
  height:auto;
  background:var(--secondary);
}

.footercols { padding:5em 0; display:flex; justify-content:space-between; }
.footercol {
  font-family:var(--font);
  font-size:21px;
  color:white;
}
.footercol:first-child {  }
.footercol:first-child p:first-child img { position:relative; left:-4em; }
.footercol a { color:white; }
.footercol a:hover { text-decoration:underline; }

.site-info {
  font-family:var(--font);
  font-size:19px;
  padding:1em 0;
  margin-bottom: 70px;
}
.site-info a { color:black; }
.site-info a:hover { text-decoration:underline; }

/* 404 page */
.entry-title-404{text-align:center;}

#mobile-social { display:none; }

/* Responsive */
@media all and (max-width:1463px) {
  .site-header,
  #content,
	#vier-kolommen,
	#drie-kolommen,
  #foto-tekst,
	#alg-tekstblok,
	#prefooter,
  .site-info { padding-left:2em; padding-right:2em; box-sizing: border-box; }
  .footercols { padding-left:4em; padding-right:2em; box-sizing: border-box; flex-wrap:wrap; }
  .footercol { margin-right:2em; }
  .footercol:last-child { margin-right:0; }
}

@media all and (max-width:1050px) {
 .site-header hgroup { display:flex; align-items:flex-start; }
  .main-navigation { display:none; }
  .mobile-button { display:block; color:var(--main);}
  .mobile-menu { position:absolute; width:100%; right:0; top:140px; }
  .site-header.fixed .mobile-menu { top:120px; }
  .site-header.fixed .mobile-button {color: white;}
  .mobile-menu ul { list-style:none; padding:0; margin:0; }
  .mobile-menu ul li { position:relative; }
  .mobile-menu ul li a {
    font-family:var(--font);
    color:white;
    font-size:22px;
    background:var(--main);
    padding:9px 30px;
    box-sizing: border-box;
    display:block;
	text-decoration: none;
  }
  .mobile-menu ul ul { display:none; }
  .mobile-menu li.menu-item-has-children span.subitem,
  .mobile-menu li.menu-item-has-children span.subsubitem { position: absolute; top:12px; right:0; color:white; font-family:var(--font); font-size:20px; font-weight:bold; cursor:pointer; padding:5px 10px; box-sizing: border-box; background: var(--secondary);}
  .mobile-menu li.menu-item-has-children span.active { background: var(--secondary); }
  .site-header.fixed .mobile-button { color:var(--secondary); padding-top: 30px;}
}

@media all and (max-width:900px) {
 .home #banner .banner-slide img {height: 350px; width: 100%;}
 .home .tekstvlak-inner {top: 65%; width: 70%;}
 .home #mainContainer {padding-top: 260px;}
}

@media (max-width: 768px) {
    .banner-slide video {max-height: 250px; }
	.foto-rechts-inner {display: block;}
	.foto-links-inner {display: block;}
}

@media all and (max-width:650px) {
	.vierkolommen-inner {display: block;}
	.driekolommen-inner {display: block;}
  #gform_fields_1 { display:block; }
  #gform_fields_1 .item-wrap,
  #gform_fields_1 li#field_1_5 { width:100%; }
  #gform_fields_2 li { width:100% !important; }
  .home #mainContainer {padding-top: 300px; text-align: center;}
  .cta-top {display: none;}
  .balk {height: 10px;}
  .site-header {padding-top: 1em;}
	 #mobile-social {
    display:flex;
    justify-content:flex-start;
    position:fixed;
    bottom:0;
    left:0;
    width:100%;
    z-index:9999;
    overflow:hidden;
  }
  #mobile-social a {
    background:var(--main);
    padding:15px;
    box-sizing: border-box;
    color:white;
    flex:1 auto;
    display:flex;
    justify-content:center;
    align-items:center;
    font-size:32px;
	  text-decoration:none;
  }
}

@media all and (max-width:550px) {
  h1, .entry-title { font-size:30px; }
  .site-header { margin-top:0; transition:none; }
  .site-header hgroup { display:block; text-align:center; }
  .site-header.fixed .site-logo {}
  .site-logo { padding-top:3em; }
  .main-navigation li a { margin-right:0; }
  .mobile-button { position:fixed !important; left:0; top:0; width:100%; height:60px; background:var(--main); color:white; font-size:36px; display:flex; justify-content:center; align-items:center; }
	.mobile-menu ul.sub-menu li a {background-color: var(--secondary) !important;}
  .mobile-menu { top:60px; }
  .site-header.fixed .mobile-menu { top:44px; }
	.gform_footer input {width:100% !important;}
  .entry-wrap { display:block; }
  .footercol:first-child { padding-left:0; }
  .footercol:first-child p:first-child img { left:0; }
  .footercols { padding-left:2em; }
  .site-header.fixed .mobile-button {padding-top: 0px;}
  .site-logo img {width: 220px;}
  .site-header.fixed .site-logo img {width: 220px;}
  .site-header.fixed .mobile-button {color: white;}
  .site-header.fixed {background: white;}
  #banner .banner-slide img {padding-top: 220px;}
  .home .tekstvlak-inner {position: relative; top: 65%; width: 100%; box-sizing: border-box;}
  .home #mainContainer {padding-top: 0px;}
}
